Subject: Re: bug#32755: [PATCH] erc.el: Remove warning during compilation.

From: Glenn Morris <[email-masked]>
Date: Mon, 17 Sep 2018 23:19:28 -0400

Gabriel Beauchamp wrote:

> I have attached a patch that removes a warning during the compilation of
> erc. Tested with `emacs -Q -q' running on HEAD.

Thanks for the patch, however if someone writes FIXME for this kind of
thing rather than just doing it, it's usually because it's not so
straightforward. In this case, `str' is an advertised part of the
interface - see doc of `erc-send-pre-hook'.

> Subject: [PATCH] * lisp/erc/erc.el (erc-handle-irc-url): Remove
> warning during compilation.

You changed erc-send-input, not erc-handle-irc-url.
(You can use eg C-x 4 a on the diff for this kind of thing.)